namespace Tinkerforge
{
    public static class ERealTimeClock
    {
        public static (int Year, byte Month, byte Day, byte Hour, byte Minute, byte Second, byte Centisecond, byte
            Wekday) GetDateTime(this BrickletRealTimeClock clock)
        {
            clock.GetDateTime(out int year, out byte month, out byte day, out byte hour, out byte minute,
                out byte second, out byte centisecond, out byte weekday);
            return (year, month, day, hour, minute, second, centisecond, weekday);
        }

        public static (short Month, short Day, short Hour, short Minute, short Second, short Weekday, int Interval)
            GetAlarm(this BrickletRealTimeClock clock)
        {
            clock.GetAlarm(out short month, out short day, out short hour, out short minute, out short second,
                out short weekday, out int interval);
            return (month, day, hour, minute, second, weekday, interval);
        }


    }
}
